function [R,s,pst,mu,C,Y,N,TFP_dist,K,F,I,chi] = ss_state(pie,beta,theta,eps,gam,psiI,psiN,nu,phi)

R=pie/beta;
bb=(1-theta*pie^(eps-1))/(1-theta);
if bb < 0
    error('fatal (ss_state) bb negative')
end
Kf=( bb )^(1/(1-eps));
s=Kf*((eps-1)/eps)*(1-beta*theta*pie^eps)/(1-beta*theta*pie^(eps-1));
mu=(1-gam)*s/((1-nu)*(1-psiI+psiI*R));
pst=(1-theta*pie^eps)/( (1-theta)*( bb^(eps/(eps-1)) ));
CY=1-mu/pst;
F=(1/CY)/(1-theta*beta*pie^(eps-1));
K=Kf*F;

Q=(pst*(1-mu/pst)^gam*(mu/pst)^(1-gam))^(1/gam);
num=s;
den=(1-nu)*((1-psiI+psiI*R)/(1-gam))^(1-gam)*(((1-psiN+psiN*R)/gam)*Q)^gam;
N=(num/den)^(1/(gam*(1+phi)));
C=Q*N;
Y=C/CY;
I=mu*Y/pst;

chi=(pst*((1-mu/pst)/gam)^gam*((mu/pst)/(1-gam))^(1-gam))^(1/gam);
TFP_dist=100*(chi-1);

err(1)=(eps/(eps-1))*s*Y/C + beta*theta*(pie^eps)*K - K;
err(2)=Y/C + (pie^(eps-1))*beta*theta*F -F;
err(3)=(K/F)-((1-theta*pie^(eps-1))/(1-theta))^(1/(1-eps));
ptil=((1-theta*pie^(eps-1))/(1-theta))^(1/(1-eps));
err(4)=pst-1/((1-theta)*(ptil^(-eps))+theta*pie^eps/pst);
err(5)=1-beta*R/pie;
err(6)=Y-pst*N^gam*I^(1-gam);
err(7)=C+I-Y;
err(8)=I-mu*Y/pst;
err(9)=s-(1-nu)*((1-psiI+psiI*R)/(1-gam))^(1-gam)*((1-psiN+psiN*R)/gam*C*N^phi)^gam;
err(10)=-mu+(1-gam)*s/((1-nu)*(1-psiI+psiI*R));

if abs(err)> .1e-12
    error('fatal (ss_state) failed error check')
end

fprintf(' (1-nu)*eps/(eps-1) = %5.3f, psiI = %5.3f, psiN = %5.3f, gam = %5.3f, eps = %5.3f, pie = %5.3f, TFP_dist = %5.3f\n', ...
    (1-nu)*eps/(eps-1),psiI,psiN,gam,eps,pie,TFP_dist)